@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&family=DM+Serif+Display:ital@0;1&display=swap');

body {
  padding: 0;
  margin: 0;
}

h1,
h2,
h3 {
  font-family: 'DM Serif Display', serif;
}

header {
  max-width: 100%;
}

p {
  font-family: 'dm sans', sans-serif;
  color: #5d6169;
}

a {
  font-family: 'dm sans', sans-serif;
}
html {
  scroll-behavior: smooth;
}
.nav-container {
  display: flex;
  justify-content: space-between;
  margin: 0 2em;
  color: #658cc2;
  font-weight: 400;
}

.dropbtn {
  padding: 16px;
  font-size: 16px;
  border: none;
  color: #fff;
  font-weight: 700;
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  font-family: 'ubuntu', sans-serif;
  background-color: #658cc2;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
}

.dropdown-content a {
  color: #fff;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

h1 a {
  color: #fff;
}

nav ul {
  display: flex;
  justify-content: center;
  gap: 30;
  list-style: none;
  padding-top: 1em;
}

a {
  text-decoration: none;
  color: #658cc2;
  font-family: 'Ubuntu', sans-serif;
}

.current-page {
  border-bottom: 2px solid #fff;
  padding: 10px 0;
}

a:hover {
  color: #054bb4;
}

.dropdown-content a:hover {
  background-color: #ddd;
}

.dropdown:hover .dropdown-content {
  display: block;
}

.dropdown:hover .dropbtn {
  color: #054bb4;
}

.foo {
  height: 220px;
}
.footer-container {
  background: #658cc2;
  width: 100%;
  margin: auto;
  display: flex;
}
.footer-content {
  width: 33.3%;
  text-align: center;
}

.footer-content p {
  margin: auto;
  padding: 5px;
  color: white;
}

.footer-content a {
  color: white;
  text-decoration: none;
}

.footer-content h3 {
  font-family: 'dm sans', serif;
  font-weight: 700;
  color: white;
}

.list {
  padding: 0;
}
.list li {
  width: auto;
  text-align: center;
  list-style-type: none;
  padding: 5px;
  position: relative;
}
.list li::before {
  content: '';
  position: absolute;
  transform: translate(-50%, -50%);
  left: 50%;
  top: 100%;
  width: 0;
  height: 2px;
  background: #f1f1f1;
  transition-duration: 0.5s;
}
.list li:hover::before {
  width: 70px;
}

.social-icons {
  text-align: center;
  padding: 0;
}
.social-icons li {
  display: inline-block;
  text-align: center;
  padding: 5px;
}
.social-icons i {
  color: white;
  font-size: 25px;
}
a {
  text-decoration: none;
}
a:hover {
  color: #054bb4;
}
.social-icons i:hover {
  color: #054bb4;
}
.bottom-bar {
  background: #f1f1f1;
  text-align: center;
  margin-bottom: 0;
  margin: 0;
}
.bottom-bar p {
  color: #054bb4;
  margin: 0;
  font-size: 16px;
  padding: 7px;
}
.container {
  position: relative;
}

.background-element {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-repeat: no-repeat;
  opacity: 1.5;
  filter: brightness(50%);
}

.bg-image {
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)),
    url('https://www.estate-living.co.za/wp-content/uploads/2021/08/sa-uni-1.jpg');
  background-size: cover;
  background-repeat: no-repeat;
}

.sec1 {
  padding: 10% 4% 15% 8%;
  color: white;
  z-index: 1;
  width: 25%;
}
.sec1 h1 {
  font-size: 40px;
  padding-left: 5%;
}
.sec1 h1 span {
  color: #fff;
  font-size: 60px;
}
.sec1 p {
  padding-left: 7%;
  font-size: 20px;
  align-content: center;
  color: white;
}

.aim {
  display: flex;
  padding: 3em;
  align-items: center;
}

.aim p {
  width: 50%;
  margin-left: 50px;
  font-size: 2rem;
  color: black;
}

.aim img {
  width: 60%;
}

#up-events {
  margin-top: 20px;
  padding: 0 20px;
}
.sec1 button {
  font-family: 'DM Sans', sans-serif;
  background: #658cc2;
  font-size: 14px;
  border: none;
  border-radius: 5px;
  z-index: 1;
  /* margin: -45px; */
  padding: 3% 10%;
}
.sec1 button a {
  color: white;
}

.btn {
  padding-top: 5%;
  padding-left: 20%;
}
.sec1 button a:hover {
  color: #658cc2;
}
.sec1 button:hover {
  background: #f1f1f1;
  color: black;
  padding: 3% 10%;
  border: none;
}

.eventsbtn span {
  font-family: 'DM Sans', sans-serif;
  background: #658cc2;
  color: white;
  font-size: 14px;
  border: none;
  border-radius: 5px;
  z-index: 1;
  /* margin: -45px; */
  padding: 3% 10%;
}

.eventsbtn {
  padding-top: 5%;
  padding-left: 32%;
}

.eventsbtn span:hover {
  background: #f1f1f1;
  color: #658cc2;
  padding: 3% 10%;
  border: none;
}

.obj img {
  width: 400px;
  height: 8cm;
  margin-top: 10%;
}
.obj h4 {
  font-family: 'DM Serif Display', serif;
  color: black;
  font-size: 28px;
  margin-top: 20px;
  /* color: #658cc2; */
}
.obj p {
  text-align: left;
  font-size: 17px;
  padding: 7px;
  margin-right: 15px;
}
.event {
  background-color: #fff;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  padding: 20px;
  border-radius: 5px;
  transition: transform 0.2s ease-in-out;
}

.upcoming-events {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 20px;
}
.event img {
  width: 100%;
}

.team-section {
  background: #f8f8f8;
  padding: 5%;
  margin-bottom: -40px;
}

.about {
  padding: 2% 5%;
}

.team-1 {
  display: flex;
  justify-content: space-around;
}

.team-2 {
  display: flex;
  justify-content: space-around;
}

.team-3 {
  display: flex;
  justify-content: space-around;
}

h2 {
  font-family: 'DM Serif Display', serif;
  text-align: center;
  color: black;
}

.menu-toggle {
  display: none; 
}
.menu-toggle span {
  color: white;
  font-weight: 300;
}

@media screen and (max-width: 540px) {
  .menu-toggle {
    margin-top: -9%;
    margin-left: 90%;
      display: block; 
      cursor: pointer;
      font-size: larger;
  }

  nav {
      display: none; 
  }

  nav.active {
      display: flex; 
  }

  header {
    max-width: 100%;
  }
  
  .nav-container {
    display: block;
    justify-content: space-between;
    /* margin: 0 2em; */
    color: #658cc2;
    font-weight: 400;
  }
  .nav-container h1{
    margin-top: 0%;
    padding-top: 10%;
    font-size: 150%;
  }
  nav ul {
    display: flex;
    justify-content: center;
    gap: 30;
    list-style: none;
    padding-top: 1em;
  }
  nav{
    margin-left: 13%;
  }
  .container {
    position: relative;
  }
  
  .background-element {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-repeat: no-repeat;
    opacity: 1.5;
    filter: brightness(50%);
  }
  
  .bg-image {
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)),
      url('https://www.estate-living.co.za/wp-content/uploads/2021/08/sa-uni-1.jpg');
    background-size: cover;
    background-repeat: no-repeat;
  }
  
  .sec1 {
    padding: 6% 2% 7% 4%;
    color: white;
    z-index: 1;
    width: 40%;
  }
  .sec1 h1 {
    font-size: 150%;
    padding-left: 5%;
  }
  .sec1 h1 span {
    color: #fff;
    font-size: 150%;
  }
  .sec1 p {
    padding-left: 7%;
    font-size: 120%;
    align-content: center;
    color: white;
  }
  
  .aim {
    display: flex;
    margin-left: -3%;
    /* align-items: center; */
  }
  
  .aim p {
    /* width: 55%; */
    margin-left: 4%;
    font-size: 90.5%;
    color: black;
  }
  
  .aim img {
    width: 60%;
  }
  
}
